From 8e924d3f2d383d119b576cb678a083eac696b6c7 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Wed, 8 May 2024 13:49:37 +0200
Subject: [PATCH v1 7/7] XXX other stuff

Any reason these are not in header files???
---
 src/backend/bootstrap/bootstrap.c   | 1 +
 src/backend/postmaster/postmaster.c | 1 +
 src/backend/storage/ipc/shmem.c     | 1 +
 3 files changed, 3 insertions(+)

diff --git a/src/backend/bootstrap/bootstrap.c b/src/backend/bootstrap/bootstrap.c
index 986f6f1d9ca..41029544edc 100644
--- a/src/backend/bootstrap/bootstrap.c
+++ b/src/backend/bootstrap/bootstrap.c
@@ -41,6 +41,7 @@
 #include "utils/rel.h"
 #include "utils/relmapper.h"
 
+extern uint32 bootstrap_data_checksum_version;
 uint32		bootstrap_data_checksum_version = 0;	/* No checksum */
 
 
diff --git a/src/backend/postmaster/postmaster.c b/src/backend/postmaster/postmaster.c
index 7f3170a8f06..8b1294082d4 100644
--- a/src/backend/postmaster/postmaster.c
+++ b/src/backend/postmaster/postmaster.c
@@ -350,6 +350,7 @@ static bool ReachedNormalRunning = false;	/* T if we've reached PM_RUN */
 bool		ClientAuthInProgress = false;	/* T during new-client
 											 * authentication */
 
+extern bool redirection_done;
 bool		redirection_done = false;	/* stderr redirected for syslogger? */
 
 /* received START_AUTOVAC_LAUNCHER signal */
diff --git a/src/backend/storage/ipc/shmem.c b/src/backend/storage/ipc/shmem.c
index 6d5f0839864..a1f35e41497 100644
--- a/src/backend/storage/ipc/shmem.c
+++ b/src/backend/storage/ipc/shmem.c
@@ -84,6 +84,7 @@ static void *ShmemBase;			/* start address of shared memory */
 
 static void *ShmemEnd;			/* end+1 address of shared memory */
 
+extern slock_t *ShmemLock;
 slock_t    *ShmemLock;			/* spinlock for shared memory and LWLock
 								 * allocation */
 
-- 
2.44.0

